# GoogleChartAxis Class Reference

List of all members.

## Public Member Functions

| __construct (GoogleChartAxisType $type)
| getType ()
| setRange (BaseRange $range)
| hasRange ()
| getRange ()
| setLabel (GoogleChartAxisLabel $label)
| getLabel ()
| setInterval ($interval)
| getInterval ()

## Static Public Member Functions

static | create (GoogleChartAxisType $type)

## Private Attributes

| $type = null
| $range = null
| $label = null
| $interval = null

## Detailed Description

Definition at line 15 of file GoogleChartAxis.class.php.

## Constructor & Destructor Documentation

GoogleChartAxis::__construct | ( | GoogleChartAxisType $ | type | ) |

Definition at line 33 of file GoogleChartAxis.class.php.

## Member Function Documentation

static GoogleChartAxis::create | ( | GoogleChartAxisType $ | type | ) | `[static]`

Returns:
  GoogleChartAxis

Definition at line 28 of file GoogleChartAxis.class.php.

GoogleChartAxis::getInterval | ( |  | ) |

Definition at line 99 of file GoogleChartAxis.class.php.

GoogleChartAxis::getLabel | ( |  | ) |

Returns:
  GoogleChartAxisLabel

Definition at line 82 of file GoogleChartAxis.class.php.

GoogleChartAxis::getRange | ( |  | ) |

Returns:
  IntegerSet

Definition at line 64 of file GoogleChartAxis.class.php.

GoogleChartAxis::getType | ( |  | ) |

Returns:
  GoogleChartAxisType

Definition at line 41 of file GoogleChartAxis.class.php.

Referenced by GoogleChartAxisCollection::addAxis().

GoogleChartAxis::hasRange | ( |  | ) |

Definition at line 56 of file GoogleChartAxis.class.php.

GoogleChartAxis::setInterval | ( | $ | interval | ) |

Returns:
  GoogleChartAxis

Definition at line 90 of file GoogleChartAxis.class.php.

References $interval, and Assert::isTrue().

Here is the call graph for this function:

GoogleChartAxis::setLabel | ( | GoogleChartAxisLabel $ | label | ) |

Returns:
  GoogleChartAxis

Definition at line 72 of file GoogleChartAxis.class.php.

GoogleChartAxis::setRange | ( | BaseRange $ | range | ) |

Returns:
  GoogleChartAxis

Definition at line 49 of file GoogleChartAxis.class.php.

## Member Data Documentation

GoogleChartAxis::$interval = null`[private]`

Definition at line 23 of file GoogleChartAxis.class.php.

Referenced by setInterval().

GoogleChartAxis::$label = null`[private]`

Definition at line 21 of file GoogleChartAxis.class.php.

GoogleChartAxis::$range = null`[private]`

Definition at line 19 of file GoogleChartAxis.class.php.

GoogleChartAxis::$type = null`[private]`

Definition at line 17 of file GoogleChartAxis.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartAxis.class.php